#include "MenuTextSk5_Player1Keyboard.h"

InputSetting_Keyboard* MenuTextSk5_Player1Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Keyboard ? gameFunc->GetInputSetting_Player1Keyboard() : nullptr;
}

SDL_Scancode* MenuTextSk5_Player1Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_skill_5;
}

std::shared_ptr<Entity> CreateMenuTextSk5_Player1Keyboard()
{
	return std::make_shared<MenuTextSk5_Player1Keyboard>();
}


